#
# spec file for package ldapcpplib (Version 0.0.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel db42 diffutils doxygen e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ldapcpplib
BuildRequires:  db-devel doxygen gcc-c++ krb5-devel openldap2 openldap2-devel
License:        BSD License and BSD-like
Group:          Development/Libraries/C and C++
Provides:       ldapcpp
Autoreqprov:    on
Summary:        C++ API for LDAPv3
Version:        0.0.4
Release:        14.13
Source:         %{name}-%{version}.tar.bz2
Patch:          ldapconn_init.diff
Patch1:         attrtypeUsage.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
C++ API for LDAPv3.

Documentation is in /usr/share/doc/packages/ldapcpplib/srcdoc.



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

%debug_package
%package devel
Summary:        Files for Developing ldapcpplib Applications
Autoreqprov:    on
Requires:       ldapcpplib openldap2-devel libstdc++-devel
Group:          Development/Libraries/C and C++

%description devel
This package contains files needed for development with the LDAP C++
library.



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>

%prep
%setup -n %{name}-%{version}
%patch
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%{?suse_update_config:%{suse_update_config -l -f build}}
libtoolize --force
aclocal
autoheader
automake --foreign
autoconf
./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
	--enable-shared --with-libldap=%{_libdir} \
	--with-ldap-includes=/usr/include --libdir=%{_libdir}
make
rm -rf srcdoc/CVS
doxygen doxygen.rc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/html
install -m644 srcdoc/html/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/html/
install LICENSE $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/LICENSE
install README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/README
install COPYRIGHT $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/COPYRIGHT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libldapcpp.so.*
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/LICENSE
%{_defaultdocdir}/%{name}/README
%{_defaultdocdir}/%{name}/COPYRIGHT

%files devel
%defattr(-,root,root)
/usr/include/LDAP*.h
/usr/include/StringList.h
%{_libdir}/libldapcpp.so
%{_libdir}/libldapcpp.a
%{_libdir}/libldapcpp.la
%{_defaultdocdir}/%{name}/html

%changelog
* Wed Jan 24 2007 - rhafer@suse.de
- correctly initialize usage- and single-Attribute of LDAPAttrType
  (Bug #237305)
* Wed Jan 10 2007 - rhafer@suse.de
- added methods to get the usage definition of an AttributeType.
  (Needed for feature #301179)
* Fri Mar 31 2006 - rhafer@suse.de
- throw Exception if initialization failed (Bug #159741)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - rhafer@suse.de
- synced with current CVS (doesn't need LDAP_DEPRECATED anymore)
* Mon Sep 26 2005 - ro@suse.de
- set CPPFLAGS as well
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Thu Aug 11 2005 - rhafer@suse.de
- Don't initalize error string with NULL in LDAPException.
  (Bugzilla #99712)
* Wed Apr 20 2005 - rhafer@suse.de
- synced with current CVS
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Thu Aug 12 2004 - ro@suse.de
- added libpng to neededforbuild (for doxygen)
* Mon Aug 09 2004 - rhafer@suse.de
- Removed duplicate files from -devel filelist.
* Thu Aug 05 2004 - rhafer@suse.de
- Fixed typo in the "Requires" of the -devel package
* Wed Aug 04 2004 - rhafer@suse.de
- Splitted into runtime and -devel package (Bugzilla #42845)
* Fri Apr 16 2004 - rhafer@suse.de
- Bugzilla ID #38668: read additional server messsage in case of
  errors.
* Mon Mar 22 2004 - rhafer@suse.de
- correctly ignore capitalisation of Objectclasses and
  Attributetypes in LDAPSchema.cpp
* Tue Feb 03 2004 - rhafer@suse.de
- updated to latest version
- run auto*-tools before build
- filelist cleanup
* Thu Jan 22 2004 - rhafer@suse.de
- updated to latest version from CVS
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Jul 15 2003 - rhafer@suse.de
- added Schema parsing Classes, needed by YaST
* Mon May 12 2003 - rhafer@suse.de
- removed caching code (no_cache.dif) as libldap doesn't support
  it anymore
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Thu Aug 08 2002 - rhafer@suse.de
- removed SASL related stuff (did not work correctly)
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Mon Apr 29 2002 - rhafer@suse.de
- added %%{_libdir} to compile package on lib64-archs
* Mon Apr 08 2002 - rhafer@suse.de
- using bzip2 compression now
- included newest version to be able to build with gcc 3.1 now
* Fri Nov 16 2001 - rhafer@suse.de
- Makes use of namespaces now
- Include bugfixes for some memory allocation/freeing issues
* Tue Jun 12 2001 - rhafer@suse.de
- added openssl-devel to needforbuild
- some changes in configure.in to make it work with new autoconf
- added libtoolize, aclocal calls to SPEC file
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Feb 28 2001 - rhafer@suse.de
- disabled generation of RTF docs
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Mon Feb 26 2001 - rhafer@suse.de
- Included the lastest bugfixes and the diff of schwab@suse.de
  in the source tgz
* Mon Jan 22 2001 - schwab@suse.de
- Fix visibility violations.
* Fri Jan 05 2001 - rhafer@suse.de
- first version of the ldapcpplib package
